The Walrus Publisher handles preparing data for storage, paying the storage fees, and managing the transaction with the Walrus network.
Store Blob
Adds a blob to the Walrus network. The blob data is sent in the request body. The Publisher will handle preparing the data for storage, paying the storage fees, and managing the transaction with the Walrus network.Base URL
${endpoint_key} is your specific endpoint key.
Query Parameters
Number of storage epochs to store the blob (default: 1)
Sui address to send the blob object to
Whether the blob should be stored as deletable (default: false)
Request Examples
Response - Newly Created Blob
When a blob is stored for the first time, anewlyCreated field contains information about the new blob:
Response - Already Certified Blob
When the publisher finds a certified blob with the same blob ID and a sufficient validity period, it returns analreadyCertified JSON structure:
event returns the Sui event ID that can be used to find the transaction that created the Sui Blob object on the Sui explorer or using a Sui SDK.